/*Layout*/
.page-name {
	padding-bottom: 0.5rem;
}

.cards-container {
	display: flex;
	padding-top: 4em;
}

@media (max-width: 1050px) {
	.cards-container {
		flex-wrap: wrap;
	}
}

.custom-card {
    margin-left: 15px;
    max-width: 245px;
}

.card-body-list {
    padding-left: 5px;
}

.card-body-list li {
    padding: 10px 0;
    font-size: 12px;
}

.custom-card-header {
    color: white;
    font-size: 15px;
    font-weight: bold;
}

.custom-card-header.first-card {
    background: #8FC200;
}
.custom-card-header.second-card {
    background: #FFC200;
}
.custom-card-header.third-card {
    background: #FF8900;
}
.custom-card-header.fourth-card {
    background: #B2318A;
}
.custom-card-header.fifth-card {
    background: #65318A;
}
.custom-card-header.sixth-card {
    background: #0059D0;
}

.custom-card a:link { text-decoration: none; color: black }
.custom-card a:visited { text-decoration: none; color: black}
.custom-card a:hover { text-decoration: none; color: black}
.custom-card a:active { text-decoration: none; color: black }

.banner-container {
    background: url("../img/banner.png") center center/cover no-repeat;
    width: 100%;
    height: 21vh;
}

.banner-top {
	padding: 1rem 2rem;
}

.banner-bottom {
    display: flex;
    align-items: center;
    padding-left: 2rem;
    color: grey;
}

.menu-container {
	padding-left: 2rem;
	display: flex;
	align-items: center;
}

.sidemenu-container {
	margin-left: 0 !important;
	padding-left: 0 !important;
}

#left-column {
	text-align: center;
}

#left-column .personal-info table {
	margin: 0 auto;
}

.page-navigation input {
    color: #40668C;
	text-decoration: none;
	float: left;
	height: 25px;
	line-height: 25px;
	padding: 0 15px;
	border: none;
	border-right: 1px solid #6685A3;
	font-size: 16px;
	background-color: white;
}

.page-navigation {
	/*margin-bottom: 12px;*/
    /*margin-top: 12px;*/
}

.page-navigation input:hover { color: #223163;}

.page-navigation td:nth-child(1) input {
	padding: 0 15px 0 0;
}

.active-navigation {
	font-weight: bold;
	color: #223163 !important;
}

.returnButton {
	font-size: 13px !important;
	height: 30px;
	background: white !important;
    color: #517ED3 !important;
}

.changeTabButton {
	font-size: 13px !important;
	height: 30px;
	background: white !important;
    color: #517ED3 !important;
}

.activeTabButton {
	font-size: 13px !important;
	height: 30px;
	background: white !important;
    color: #517ED3 !important;
}

@media (min-width: 680px) {
  .banner-top {
    display: flex;
    justify-content: space-between;
    padding: 2rem 7.5rem 1.25rem 7.5rem;
  }
  
  .banner-bottom {
  	display: flex;
  	justify-content: flex-end;
  	align-items: center;
  	padding: 0.25rem 7.5rem 1rem 0;
  	color: grey;
  }
  
  .menu-container {
	padding-left: 7.5rem;
	margin: 0.75rem 0;
	display: flex;
	align-items: center;
  }
  
}

/*CKEditor*/
.custom-width + .cke {
	width: 95% !important;
}

/*BUTTON*/
.center-btn {
	margin-top: 15px !important;
}

.noHover{
    pointer-events: none;
}

.criterio-puntaje-td {
	text-align: -webkit-center;
}

.criterio-puntaje-td table {
	margin-top: 1rem;
	margin-bottom: 0.5rem;
}

.campo-criterio-desc p {
	padding-bottom: 1rem;
    font-weight: bold;
}

.solicitud-link {
	border-color: #40668C!important;
    color: #40668C!important;
    background: white!important;
    font-size: 14px!important;
    margin-bottom: 0.4rem;
}

/*MODALS*/
.custom-modal {
	padding: 0;
}

.custom-modal .ui-dialog-titlebar {
	display:flex;
	justify-content: center;
}

.custom-modal .ui-dialog-titlebar {
	height: 3em!important;
}

.custom-modal .ui-dialog-title {
	font-weight: bold!important;
	line-height: 3em!important;
}

/*Red modal*/
.modal-error .ui-dialog-titlebar {
	background: #dc3545!important;
}

/*White modal*/
.no-title-modal .ui-dialog-titlebar {
	background: white!important;
}

.custom-modal.formatoAdmin .ui-dialog-title {
	margin-left: 6rem;
}

.custom-modal.formatoAdmin .ui-dialog-titlebar {
	background: #8FC200!important;
}

.formGeneral-modal {
	padding: 0;
}

.formGeneral-modal .ui-dialog-titlebar {
	height: 3em!important;
	background: #53D2AF!important;
}

.formGeneral-modal .ui-dialog-title {
	font-weight: bold!important;
	line-height: 3em!important;
}

.criterio-modal {
	padding: 0;
}

.criterio-modal .ui-dialog-titlebar {
	height: 3em!important;
	background: #8FC200!important;
}

.criterio-modal .ui-dialog-title {
	font-weight: bold!important;
	line-height: 3em!important;
}

.verForm-modal {
	padding: 0;
}

.verForm-modal .ui-dialog-title {
	font-weight: bold!important;
	line-height: 3em!important;
}

.verForm-modal .ui-dialog-titlebar {
	height: 3em!important;
}

.editEntregable-modal {
	padding: 0;
}

.editEntregable-modal .ui-dialog-titlebar {
	height: 3em!important;
	background: #8FC200!important;
}

.editEntregable-modal .ui-dialog-title {
	font-weight: bold!important;
	line-height: 3em!important;
}

.save-entregable input:nth-child(1) {
	margin-top: 20px;
}

.actividadCabecera-modal {
	padding: 0;
}
.actividadCabecera-modal .ui-dialog-titlebar {
	background: white!important;
}


.menu-roles {
    position: absolute;
    top: 125px;
    z-index: 1000;
    background: white;
    opacity: 0.9;
    /*color: white;*/
    float: left;
    min-width: 160px;
    padding: 6px 10px;
    margin: 2px 0 0;
    list-style: none;
    right: 125px;
    border: 1px solid;
}

#cambiar-rol-link {
	cursor: pointer;
    text-decoration: none;
}

.menu-roles li {
	border-bottom: 1px solid;
    padding: 5px 5px;
}

.menu-roles li:last-child {
	border-bottom: none;
}

.menu-roles li a {
	color: #517ED3;
}

.menu-roles li a:hover {
	color: #223163;
}

#guardar-btn {
	background-color: #223163!important;
    border-color: #223163!important;
}

.guardar-btn {
	background-color: #223163!important;
    border-color: #223163!important;
}

.link-regresar {
	background-color: #517ED3!important;
    border-color: #517ED3!important;
    margin-left: 15px!important;
}

/*WIDGET*/
.wg_espol_icon_main {
    cursor: pointer;
    text-decoration: none;
}

.wg_espol_icon_main:hover {
    text-decoration: none;
}

.wg_espol_dropdown_menu {
    position: absolute;
    top: 120px;
    left: 0;
    z-index: 1000;
    display: none;
    float: left;
    min-width: 160px;
    text-align: left;
    list-style: none;
    background-clip: padding-box;
}

.wg_espol_dropdown_menu_right {
    right: 0;
    left: auto;
    
}

.wg_espol_open>.wg_espol_dropdown_menu {
    display: block;
}

.wg_espol_triang_sup {
		display: none;
	    width: 0;
	    height: 0;
	    border-left: 15px solid transparent;
	    border-right: 15px solid transparent;
	    border-bottom: 12px solid rgba(122,122,122,0.8);
	    position: absolute;
	    right: 5px;
	    top: -12px;
}
	
.wg_espol_dropdown_login {
	margin-top: 15px;
	margin-right: 30px;
	-webkit-box-shadow: 0 0 6px rgba(0,0,0,.24);
	box-shadow: 0 0 6px rgba(0,0,0,.24);
	-webkit-box-sizing: content-box!important;
	-moz-box-sizing: content-box!important;
	box-sizing: content-box!important;
	background-color: rgba(122,122,122,0.8);
	border-radius: 0px;
	padding: 5px 24px 0px 0px;
	font-size: 12px;
	width: 345px;
}

@media (max-width: 520px) {

	.wg_espol_dropdown_login {
		margin-top: 15px;
		margin-right: 5px;
		-webkit-box-shadow: 0 0 6px rgba(0,0,0,.24);
		box-shadow: 0 0 6px rgba(0,0,0,.24);
		-webkit-box-sizing: content-box!important;
		-moz-box-sizing: content-box!important;
		box-sizing: content-box!important;
		background-color: rgba(122,122,122,0.8);
		border-radius: 0px;
		padding: 15px 15px 15px 20px;
		font-size: 12px;
		width: 345px;
	}
	
}

.wg_espol_body_portal_imagen_min {
    margin-top: 5px;
    margin-bottom: 5px;
}
.wg_espol_block-portal-imagen{
	vertical-align: middle;
	border: 0;
}
.wg_a {
    margin: 0 !important;
    padding: 0 !important;
}
.wg_a:hover {
    background:none !important;
}
.wg_espol_block_portal {
    float: left;
    width: 80px;
    margin-left: 10px;
    margin-bottom: 10px;
}
.wg_espol_block_portal a:hover .block-portal-imagen {
    border: 2px solid;
    margin: -2px;
}
   
.wg_espol_block_portal img {
    width: 80px;
    height: 80px;
}

/*Styles*/

.reduced-file-name a {
	text-overflow: ellipsis;
    overflow: hidden;
    max-width: 140px;
}

.overflow-file-name a {
	text-overflow: ellipsis;
    overflow: hidden;
    max-width: 350px;
}

.producto-container {
	font-size:10px;
}

.producto-container .tipo {
	font-size:14px;
	font-weight: bold;
}

.create-link {
	padding-left: 25px !important;
	width: 100px;
    height: 25px;
    font-size: 12px !important;
    color: #517ED3;
}

.reasignar-link {
	padding-left: 25px !important;
	width: 100px;
    height: 25px;
    font-size: 12px !important;
    color: #517ED3;
    background-size: contain;
    background-color: white!important;
    color: #517ED3!important;
    min-width: 8rem!important;
}

.create-link:hover {
	color: #223163!important;
}

.menu-link {
	display:flex;
	padding-left: 3em;
}

.sublink {
	padding-left: 3em !important;
}

.menu-icons {
	max-width: 25px;
	width: 100%;
}

.link-img img {
	min-width: 18px;
	max-width: 18px;
}

.link-icons {
	min-width: 23px;
	max-width: 23px;
}

.link-icons-mini {
	min-width: 20px;
	max-width: 20px;
}

.img-alt {
	display: none;
	z-index: 99;
}

.link:hover .img-alt {
	display: inline;
}

.link:hover .img-primary {
	display: none;
}

.user-info {
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    justify-content: flex-end;
}

.user-info * {
    margin-bottom: 0;
    font-size: 10px;
    font-weight: 600;
    text-align: right;
}

.user-info tr:nth-child(1) {
    color: #517ED3;
}

.user-info tr:nth-child(2) {
    color: #223163;
}

.icons-container {
    display: flex;
    align-items: center;
    justify-content: center;
}

.icons-container img {
    padding: 0 2px;
}


.banner-bottom p {
    font-size: 10px;
    padding-right: 10px;
}

/*Navbar Side Menu*/
.side-menu {
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    align-items: center;
    padding: 10px 0;
    /*font-family: 'RobotoRegular';*/
}
.nav-toggle {
    font-size: 2rem;
    color: grey;
}
.navigation {
    position: absolute;
    /*top: 28%;*/
    visibility: hidden;
}
.navigation.active {
    z-index: 100;
    visibility: visible;  
}
nav.navigation.card.active {
    box-shadow: 5px 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}

/*Alerts*/

.warning-alert {
	padding: 10px;
	margin: 10px 0;
	background-color: #fff3cd;
	border: 1px solid #ffeeba;
}

.info-alert {
	padding: 10px;
	margin: 10px 0;
	border: 1px solid #dee2e6;
}

.primary-alert {
	padding: 10px;
	margin: 10px 0;
	background-color: #cce5ff;
    border: 1px solid #b8daff;
}

.success-alert {
	padding: 10px;
	margin: 10px 0;
	background-color: "#28a745";
    border: 1px solid "#28a745";
}

/*Profile*/
.profile-image {
    border-radius: 50%;
    max-width: 120px;
    max-height: 120px;
    height: 100%;
    width: 100%;
    padding: 1px;
    background-color: #ECEFF3;
}

.personal-info {
    padding-top: 10px;
    padding-bottom: 5px;
}

.personal-info td {
    text-align: center;
    font-size: 12px;
    color: #223163;
}

/*Footer*/
.footer {
    background-color: white;
    text-align: center;
    padding-bottom: 2px;
}

.copyright {
    margin-top: 8px;
    font-size: 10px;
    color: grey;
    display: block;
    margin-block-start: 1em;
    margin-block-end: 1em;
    margin-inline-start: 0px;
    margin-inline-end: 0px;
}

/*WR Styles*/
.no-style-textarea textarea {
	border-style: none;
    border-color: transparent;
    overflow: auto;
    resize: none;
}

.hidden-visibility {
	visibility:hidden;
}

.link-right tr:last-child table {
	margin-right: 0;
    margin-left: auto;
}

/*Tabla sugerencia rúbrica anular bootstrap*/
#campo-sugerencia table {
	border-collapse: separate !important;
}

.campo-sugerencia table {
	border-collapse: separate !important;
}

#campo-sugerencia thead, #campo-sugerencia tbody, #campo-sugerencia tfoot, #campo-sugerencia tr, #campo-sugerencia td, #campo-sugerencia th {
    border-color: inherit !important;
    border-style: inherit !important;
    border-width: inherit !important;
}

.campo-sugerencia thead, .campo-sugerencia tbody, .campo-sugerencia tfoot, .campo-sugerencia tr, .campo-sugerencia td, .campo-sugerencia th {
    border-color: inherit !important;
    border-style: inherit !important;
    border-width: inherit !important;
}

.no-border {
	border:none;
}

.marginTop {
	margin-top: 15px;
}

.table-full-width table {
	width: 100%;
}

.textarea-full-width textarea {
	width: 100%;
}

.table-align-right table {
	margin-right: 0;
    margin-left: auto;
}

/*Bordes de tabla*/

.no-bottom-border-style, .no-bottom-border-style td {
	border-style: none;
}

.no-bottom-border-style-notlast, .no-bottom-border-style-notlast td:not(:last-child) {
	border-style: none;
}

#breadcrumb {
    margin: 10px;
}
#breadcrumb a,
#breadcrumb span {
    color: #40668C;
    font-size: 12px;
    text-decoration: none;
    padding-right: .2em;
    display: inline-block;
}
#breadcrumb a:hover {
    text-decoration: underline;
}
#page-links {
    text-align: right;
    margin: 14px 0;
}

#navmenu {
    margin: 0;
    border: 0;
    padding: 0;
    width: 100%;
    list-style: none;
    display: flex;
    flex-direction: column;
}

#navmenu li {
    margin: 0;
    border: 0;
    padding: 0;
    display: block;
    list-style: none;
	text-align: left;
	line-height: 2em;
}

#navmenu a {
    padding: 0.2em 4em 0.2em 0.4em;
    display: block;
    color: #223163;
    text-decoration: none;
}

#navmenu a:hover {
	text-decoration: none;
}
#navmenu li.current {
	background-color: #223163;
}
#navmenu li.current a {
	color: white;
}
#navmenu li ul{
	display: none;
	padding-left: 2em;
}
#navmenu li:hover > ul{
	display: block;
}

.first-current {
	background-color: #223163;
	color: white !important;
}

.second-current {
	font-weight: bold;
    font-style: italic;
    color: #517ED3 !important;
}

.third-current {
	color: #517ED3 !important;
	text-decoration: underline !important;
}

.integer, .float, .decimal {
    text-align: left !important;
}

.error-message > .ui-dialog-titlebar {
	background: #FFCCCC !important;
    color: red !important;
}

/* Alternate rows */
.rowAlternate * {
    background: #F0F0F0;
}

/* Para que en una celda de la tabla salga centrado el texto */
td.td_text_center {
	text-align: center !important;
}

.text-align-right {
	text-align: right!important;
}